<template>
  <ValidationObserver ref="form" v-slot="{ handleSubmit }">
    <v-form @submit.prevent="handleSubmit(onSubmit)">
      <ValidationProvider v-slot="{ errors }" name="nik" rules="required">
        <v-text-field
          label="NIK"
          placeholder="123456"
          :error-messages="errors"
          color="#f26525"
          v-model="nik"
        ></v-text-field>
      </ValidationProvider>
      <ValidationProvider v-slot="{ errors }" name="password" rules="required">
        <v-text-field
          label="Password"
          color="#f26525"
          v-model="password"
          :error-messages="errors"
          :append-icon="passwordShow ? 'mdi-eye' : 'mdi-eye-off'"
          :type="passwordShow ? 'text' : 'password'"
          @click:append="passwordShow = !passwordShow"
        ></v-text-field>
      </ValidationProvider>
      <v-btn fluid block color="#f26525" type="submit" class="my-10"
        ><span class="text-white">Login</span></v-btn
      >
    </v-form>
  </ValidationObserver>
</template>
<script>
export default {
  name: "loginForm",
  props: {},
  data() {
    return {
      nik: null,
      password: null,
      passwordShow: false
    };
  },
  methods: {
    onSubmit() {
      const { nik, password } = this;

      this.$emit("onFormSubmit", { nik, password });
    }
  }
};
</script>
